<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>All users</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</head>
<body>
<table>
    <tr>
        <th>ID</th>
        <th>FIRST NAME</th>
        <th>LAST NAME</th>
        <th style="width: 10px"/>
        <th>ADDRESS</th>
    </tr>
    <tr th:each="user : ${userList}">
        <td>
            <a th:href="@{/users/} + *{user.id}" th:text="*{user.id}"/>
        </td>
        <td th:text="*{user.firstName}"/>
        <td th:text="*{user.lastName}"/>
        <td style="width: 10px"/>
        <td th:each="address : *{user.address}"
            th:text="*{address.city} + ', ' + *{address.street} + ', ' + *{address.houseNumber}"/>
    </tr>
    <a th:href="@{/users/new_user}">New user</a>
</table>
</body>
</html>